While at it, use SSH_SALT global var in `cleanup_uefi`.
Change-Id: I9400edde69d3aaaa1879cce0e79898c80db486db
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
(cherry picked from commit
3d92843941184335c2f1b3e8a074c6e9f2e49571)
-#!/bin/bash
+#!/bin/bash -e
##############################################################################
# Copyright (c) 2017 Enea Software AB and others.
# All rights reserved. This program and the accompanying materials
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-set -e
-
+CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
SCRIPT_DIR=$(readlink -f "$(dirname "${BASH_SOURCE[0]}")")
ARMBAND_BASE=$(readlink -e "${SCRIPT_DIR}/..")
+
export ARMBAND_BASE
+export CI_DEBUG
cd "${WORKSPACE:-${ARMBAND_BASE}}"
make patches-import
+
+salt -I 'nova:compute' state.sls armband || true
diff --git a/mcp/config/states/openstack_ha b/mcp/config/states/openstack_ha
-index aada4ad..afd6c53 100755
+index 89733cc..f1479ef 100755
--- a/mcp/config/states/openstack_ha
+++ b/mcp/config/states/openstack_ha
@@ -52,6 +52,7 @@ salt -I 'neutron:server' state.sls neutron -b 1
salt -I 'nova:compute' state.sls nova
+salt -I 'nova:compute' state.sls armband || true
- salt -I 'mongodb:server' state.sls mongodb
+ salt -I 'mongodb:server' state.sls mongodb || true
wait_for 90 "salt -C 'I@mongodb:server and *01*' cmd.run 'mongo localhost:27017/admin'"
diff --git a/mcp/config/states/virtual_control_plane b/mcp/config/states/virtual_control_plane
index 0650869..7611c12 100755
1 file changed, 10 insertions(+)
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
-index a165bb3..2a694a7 100644
+index a165bb3..bfde237 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -35,6 +35,15 @@ function get_base_image {
+function cleanup_uefi {
+ # Clean up Ubuntu boot entry if cfg01, kvm nodes online from previous deploy
+ # shellcheck disable=SC2086
-+ ssh ${SSH_OPTS} "ubuntu@${SALT_MASTER}" "sudo salt -C 'kvm* or cmp*' cmd.run \
++ ssh ${SSH_OPTS} "${SSH_SALT}" "sudo salt -C 'kvm* or cmp*' cmd.run \
+ \"which efibootmgr > /dev/null 2>&1 && \
+ efibootmgr | grep -oP '(?<=Boot)[0-9]+(?=.*ubuntu)' | \
+ xargs -I{} efibootmgr --delete-bootnum --bootnum {}\"" || true